Enumerations

# trafficlight_type.h File Reference

Types related to the states of trafficlights. More...

Go to the source code of this file.

## Enumerations
enum | TrafficLightState { TLS_OFF, TLS_X_GREEN_Y_RED, TLS_X_YELLOW_Y_RED, TLS_X_RED_Y_REDYELLOW, TLS_X_RED_Y_GREEN, TLS_X_RED_Y_YELLOW, TLS_X_REDYELLOW_Y_RED }

## Detailed Description

Types related to the states of trafficlights.

Definition in file trafficlight_type.h.

## Enumeration Type Documentation

enum TrafficLightState

Enumerator:

  TLS_OFF | all lights are off (during roadworks; always in scedit)
  TLS_X_GREEN_Y_RED | SW and NE are green, NW and SE are red.
  TLS_X_YELLOW_Y_RED | SW and NE are yellow, NW and SE are red.
  TLS_X_RED_Y_REDYELLOW | SW and NE are red, NW and SE are red-yellow.
  TLS_X_RED_Y_GREEN | SW and NE are red, NW and SE are green.
  TLS_X_RED_Y_YELLOW | SW and NE are red, NW and SE are yellow.
  TLS_X_REDYELLOW_Y_RED | SW and NE are red-yellow, NW and SE are red.

Definition at line 13 of file trafficlight_type.h.